## org.apache.myfaces.component.html.ext
Class HtmlSelectBooleanCheckbox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectBoolean
                          javax.faces.component.html.HtmlSelectBooleanCheckbox
                              org.apache.myfaces.component.html.ext.HtmlSelectBooleanCheckbox

All Implemented Interfaces:
  DisplayValueOnlyCapable, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class HtmlSelectBooleanCheckbox
extends javax.faces.component.html.HtmlSelectBooleanCheckbox
implements UserRoleAware, DisplayValueOnlyCapable

Version:
  $Revision: 170213 $ $Date: 2005-05-15 13:22:56 +0200 (Sun, 15 May 2005) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectBoolean
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`HtmlSelectBooleanCheckbox()`

Method Summary
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` `getDisplayValueOnlyStyle()`
`java.lang.String` `getDisplayValueOnlyStyleClass()`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isDisplayValueOnly()`
`boolean` `isRendered()`
`boolean` `isSetDisplayValueOnly()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setDisplayValueOnly(boolean displayValueOnly)`
`void` `setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)`
`void` `setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.html.HtmlSelectBooleanCheckbox

`getAccesskey, getDir, getLang, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setDir, setDisabled, setLang, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UISelectBoolean
`getFamily, getValueBinding, isSelected, setSelected, setValueBinding`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlSelectBooleanCheckbox

    public HtmlSelectBooleanCheckbox()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isSetDisplayValueOnly

    public boolean isSetDisplayValueOnly()

  Specified by:
    `isSetDisplayValueOnly` in interface `DisplayValueOnlyCapable`

### isDisplayValueOnly

    public boolean isDisplayValueOnly()

  Specified by:
    `isDisplayValueOnly` in interface `DisplayValueOnlyCapable`

### setDisplayValueOnly

    public void setDisplayValueOnly(boolean displayValueOnly)

  Specified by:
    `setDisplayValueOnly` in interface `DisplayValueOnlyCapable`

### getDisplayValueOnlyStyle

    public java.lang.String getDisplayValueOnlyStyle()

  Specified by:
    `getDisplayValueOnlyStyle` in interface `DisplayValueOnlyCapable`

### setDisplayValueOnlyStyle

    public void setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)

  Specified by:
    `setDisplayValueOnlyStyle` in interface `DisplayValueOnlyCapable`

### getDisplayValueOnlyStyleClass

    public java.lang.String getDisplayValueOnlyStyleClass()

  Specified by:
    `getDisplayValueOnlyStyleClass` in interface `DisplayValueOnlyCapable`

### setDisplayValueOnlyStyleClass

    public void setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)

  Specified by:
    `setDisplayValueOnlyStyleClass` in interface `DisplayValueOnlyCapable`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`